---
title: Reinstall Instance
url: https://docs.vultr.com/products/compute/instances/cloud-gpu/management/reinstall-instance
description: Learn how to reinstall your Vultr Cloud GPU instance to reset it to a clean state while maintaining the same IP address and hostname.
publish_date: 2024-09-23T20:20:08.396157Z
last_updated: 2026-05-26T18:47:50.694337Z
---

# How to Reinstall a Vultr Cloud GPU Instance

Reinstalling a Vultr Cloud GPU instance wipes the file system, resets all configurations and reinstalls the operating system. Any data available on the instance's file system is permanently deleted and cannot be recovered unless backed up.

Follow this guide to reinstall a Vultr Cloud GPU instance using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Cloud GPU instance to open its management page.
    1. Click **Server Reinstall** on the top-right navigation menu to reinstall the server's file system.
    1. Check the confirmation prompt and click **Reinstall Server** to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note the target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Reinstall Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) to reinstall the instance with a new hostname.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}/reinstall" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "hostname" : "new_instance_hostname"
          }'
        ```

=== "Vultr CLI"

    1. List all instances in your Vultr account and note the target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Reinstall the instance with a new hostname.

        ```console
        $ vultr-cli instance reinstall --host <new_instance_hostname>  <instance_id>
        ```

=== "Terraform"

    1. Open your Terraform configuration for the existing Cloud GPU instance.

    1. Trigger a reinstall by replacing the instance during apply.

        ```console
        $ terraform apply -replace=vultr_instance.gpu
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 1 added, 0 changed, 1 destroyed.
        ```
